LINUX 下安装git 超详细

Linux安装git (git-2.11.0)

 
本文旨在讲述如何在linux上安装最新版的git。
 
1、查看当前git版本:git --version
2、官网下载:
(建议本机迅雷下载rz到服务器,安装yum install lrzsz后rz即可)
解压:tar -zxvf git-2.11.0.tar.gz
3、cd git-2.11.0
4、为了防止git安装完后出现
git clone时候提示fatal: Unable to find remote helper for 'https'
提前先安装libcurl-devel
yum install libcurl-devel
5、移除旧版本git:yum remove git
6、make configure
如果报错/bin/sh: autoconf: command not found:
安装libtool即可:yum install  autoconf automake libtool
正常会打印:GEN configure
执行
7、./configure --prefix=/usr/local/git --with-iconv =/usr/local/lib(建议优先尝试后者)
或者
./configure --prefix=/usr/local/git --with-iconv --with-curl --with-expat=/usr/local/lib(如果没有安装libiconv请自行安装)
make && make install
①如果报错:cache.h:40:18: fatal error: zlib.h: No such file or directory
安装zlib:yum install zlib、yum install zlib-devel
②如果报错:make[1]: *** [perl.mak] Error 2
make: *** [perl/perl.mak] Error 2
安装:yum install perl-ExtUtils-MakeMaker package

3:报错:make[1]: Leaving directory `/home/app/git-2.5.5/git-gui'  还不知道怎么解决。

 
8、echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc
9、source /etc/bashrc
10、git --version
 
编译git时报错: zlib.h: No such file or directory
    缺少 zlib的头文件, 开发包没装,
    yum install zlib (系统默认已经装上)
    yum install zlib-devel 
 原文地址:https://www.cnblogs.com/BinBinStory/p/7113956.html

没有更多推荐了,返回首页